import React from 'react';
import { connect } from 'umi';
import NewsMobileComponent from '../../../mobile/common/NewsMobile';

function NewsMobile({
  dispatch, app, content, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const NewsMobile = {
    sModelsId,
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <NewsMobileComponent {...NewsMobile} />
  );
}


export default connect(({ app, content }) =>
  ({ app, content }))(NewsMobile);
